%set_autoconf_version 2.5

Name: net-snmp
Version: 5.4.2.1
Release: alt5

Summary: Tools and servers for the SNMP protocol
License: BSD-like
Group: System/Legacy libraries
Url: http://net-snmp.sourceforge.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source0: http://prdownloads.sourceforge.net/net-snmp/net-snmp-%version.tar.gz

%define persistentdir %_localstatedir/%name

PreReq: chkconfig
Requires: lib%name = %version-%release %name-mibs = %version-%release
Obsoletes: cmu-snmp ucd-snmp

BuildPreReq: librpm-devel >= 4.0.4

%def_enable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# we've got perl modules linked against libnetsnmp.so
#%define __spec_autodep_custom_pre export LD_LIBRARY_PATH=%buildroot%_libdir

BuildRequires: chrpath libpopt-devel libssl-devel perl-libnet
BuildRequires: libwrap-devel pdksh perl-Encode perl-Tk perl-devel
BuildRequires: perl-Term-ReadLine-Gnu perl-XML-Simple glibc-kernheaders
BuildRequires: python-base python-modules-compiler python-modules-encodings

%package -n lib%name
Summary: The shared libraries for the Net-SNMP project
Group: System/Legacy libraries

%package -n libucd-snmp
Summary: The shared libraries for the UCD-SNMP project
Group: System/Legacy libraries

%description
SNMP (Simple Network Management Protocol) is a protocol used for network
management (hence the name).  The Net-SNMP project includes various SNMP
tools; an extensible agent, an SNMP library, tools for requesting or
setting information from SNMP agents, tools for generating and handling
SNMP traps, a version of the netstat command which uses SNMP, and a
Tk/Perl mib browser.  This package contains the snmpd and snmptrapd
daemons, documentation, etc.

Install the %name package if you need network management tools.
You will probably also want to install the %name-utils package, which
contains Net-SNMP utilities.

%description -n lib%name
The lib%name package contains the shared libraries required for
Net-SNMP software.

%description -n libucd-snmp
The libucd-snmp package contains the shared libraries required for
UCD-SNMP software.

%prep
%setup -q -n %name-%version

%build
%autoreconf
#%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
export NETSNMP_DONT_CHECK_VERSION=1
%configure %{subst_enable static} \
	--enable-shared \
	--with-ldflags="-lcrypto" \
	--with-sys-location="Just west of Mars" \
	--with-sys-contact="root@localhost" \
	--with-logfile="/var/log/snmpd.log" \
	--with-includedir=%_includedir/%name \
	--with-persistent-directory="%persistentdir" \
	--with-mib-modules="host ucd-snmp/pass_persist smux" \
	--with-libwrap \
	--with-openssl \
	--with-sysconfdir=%_sysconfdir/%name \
	--with-default-snmp-version="1" \
	--enable-ucd-snmp-compatibility \
	--enable-mfd-rewrites \
	--with-defaults \
	--with-pic \
	--enable-as-needed

%make
rm -f `find ./ -name 'libnetsnmpagent*'`
%make ADD_HELPER="-L$PWD/agent/helpers/.libs -lnetsnmphelpers"

%install
%makeinstall INSTALL='$(LIBTOOL) --mode=install /usr/bin/install -c' \
	     includedir=%buildroot%_includedir/%name \
	     ucdincludedir=%buildroot%_includedir/ucd-snmp
#%make_install   includedir=%buildroot%_includedir/%name \
#				ucdincludedir=%buildroot%_includedir/ucd-snmp\
#				install

%files -n lib%name
%_libdir/libnetsnmp.so.*
%_libdir/libnetsnmpagent.so.*
%_libdir/libnetsnmphelpers.so.*
%_libdir/libnetsnmpmibs.so.*
%_libdir/libnetsnmptrapd.so.*

%files -n libucd-snmp
%_libdir/libsnmp.so.*

%changelog
* Fri Feb 05 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 5.4.2.1-alt5
- Update spec for build compat version library

* Sat Nov 07 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 5.4.2.1-alt4
- Fixed unsafe-tmp-usage-in-scripts, rpm-obsolete-self, big-changelog,
  big-changelog and repocop warnings

* Tue Jul 14 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 5.4.2.1-alt3
- Linked libnetsnmpagent with libnetsnmphelpers

* Fri May 22 2009 Pavlov Konstantin <thresh@altlinux.ru> 5.4.2.1-alt2
- Fix #19780: CVE-2008-6123.
- Dropped obsolete post_* macros.

* Mon Nov 10 2008 Pavlov Konstantin <thresh@altlinux.ru> 5.4.2.1-alt1
- 5.4.2.1 release (fixes CVE-2008-4309).

* Tue Sep 23 2008 Pavlov Konstantin <thresh@altlinux.ru> 5.4.2-alt1
- 5.4.2 release.
- Enable static library build.

* Thu Aug 14 2008 Pavlov Konstantin <thresh@altlinux.ru> 5.4.1.2-alt1
- 5.4.1.2 release.

* Mon Jun 16 2008 Pavlov Konstantin <thresh@altlinux.ru> 5.4.1.1-alt1
- 5.4.1.1 security bugfix release.
- Fix CVE-2008-0960.
- Fix #13126.

* Fri Dec 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 5.4.1-alt2
- Enable smux module build.
- Force autoconf version to 2.5.

* Wed Aug 01 2007 Pavlov Konstantin <thresh@altlinux.ru> 5.4.1-alt1
- 5.4.1 release.

* Tue Jul 03 2007 Pavlov Konstantin <thresh@altlinux.ru> 5.4.1-alt0.rc1
- 5.4.1 release candidate 1.

* Wed May 30 2007 Pavlov Konstantin <thresh@altlinux.ru> 5.4.1-alt0.pre1
- 5.4.1 prerelease 1.

* Tue Jan 30 2007 Pavlov Konstantin <thresh@altlinux.ru> 5.4-alt3
- Removed ipf-mod.pl from utils subpackage (as it isnt needed anyway).

* Tue Jan 30 2007 Pavlov Konstantin <thresh@altlinux.ru> 5.4-alt2
- Added snmptrapd init-script (fixes #10672).
- Spec cleanup.
- Package tkmib into utils subpackage.

* Sun Dec 10 2006 Pavlov Konstantin <thresh@altlinux.ru> 5.4-alt1
- 5.4 release.
- Really fixed 7664.
- Patches merged into source tree.
- Some minor spec cleanup.
- Funnier default sys location.

* Thu Sep 28 2006 Pavlov Konstantin <thresh@altlinux.ru> 5.3.1-alt2
- Fixed #7664.
- Fixed #5757.

* Mon Jul 17 2006 Pavlov Konstantin <thresh@altlinux.ru> 5.3.1-alt1
- 5.3.1 release.
- Added a patch to deal with perl bindings version problem (thx at@).

* Tue Jun 06 2006 Pavlov Konstantin <thresh@altlinux.ru> 5.3.1-alt0.pre3
- 5.3.1.pre3.
- Reworked patch1, patch4, patch7 for current version.
- Synced with FC 5.3.1.pre3-1.
- Fix -ass-needed problem by damir@.

* Mon Mar 27 2006 Pavlov Konstantin <thresh@altlinux.ru> 5.2.2-alt2.EX
- Enabling mfd rewrites.

* Thu Feb 02 2006 Anton Farygin <rider@altlinux.ru> 5.2.2-alt1.1
- NMU: fix build for x86_64:
    - disabled patch2
    - fixed patch7 (snmptrapd.la added to libtool objects)

* Thu Dec 01 2005 Konstantin Timoshenko <kt@altlinux.ru> 5.2.2-alt1
- 5.2.2

* Mon May 30 2005 Konstantin Timoshenko <kt@altlinux.ru> 5.2.1-alt1
- 5.2.1

* Tue Dec 14 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.2-alt1
- 5.2
- Moved mib files to net-snmp-mibs subpackage.
- fix #5518, #5534, #5617

* Fri Nov 12 2004 ALT QA Team Robot <qa-robot@altlinux.org> 5.1.2-alt2.1
- Removed libelf-devel from build dependencies.

* Wed Oct 20 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.1.2-alt2
- fixed bug #0005367

* Thu Aug 26 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.1.2-alt1
- 5.1.2
- Move %_bindir/net-snmp-config to lib%name-devel (closes: #5068) Sir Raorn <raorn@altlinux.ru>

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 5.1.1-alt1.1
- Rebuilt with openssl-0.9.7d.

* Wed Apr 21 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.1.1-alt1
- 5.1.1

* Wed Mar 03 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.1-alt3
- rebuild with libdb4.2

* Wed Feb 18 2004 Konstantin Timoshenko <kt@altlinux.ru> 5.1-alt2
- fix init script
- add in group proc

* Tue Dec 30 2003 Konstantin Timoshenko <kt@altlinux.ru> 5.1-alt1
- 5.1

* Tue Dec 16 2003 Alexey Tourbin <at@altlinux.ru> 5.0.9-alt2
- perl-SNMP package built
- lib{net,ucd}-snmp-devel-static not packaged by default
- additional spec conventions enforcement

* Wed Oct 22 2003 Konstantin Timoshenko <kt@altlinux.ru> 5.0.9-alt1
- 5.0.9

* Mon Jan 20 2003 Rider <rider@altlinux.ru> 4.2.3-alt8
- fixed bug #0001668 (snmpd MUST HAVE rw access to /var/lib/ucd-snmp)

* Wed Dec 04 2002 AEN <aen@altlinux.ru> 4.2.3-alt7
- rebuilt with gcc-3.2

* Wed Aug 21 2002 Alexander Bokovoy <ab@altlinux.ru> 4.2.3-alt6
- Fix disk option problem again

* Tue Jul 30 2002 Alexander Bokovoy <ab@altlinux.ru> 4.2.3-alt5
- Fix disk option problem (see below)
- http://sourceforge.net/tracker/?group_id=12694&atid=112694&func=detail&aid=498809

* Thu Apr 18 2002 Alexander Bokovoy <ab@altlinux.ru> 4.2.3-alt4
- Fix includes

* Wed Mar 27 2002 Dmitry V. Levin <ldv@alt-linux.org> 4.2.3-alt3
- Added librpm-4.0.4 build support.
- Built with librpm-4.0.4, updated buildrequires.

* Thu Mar 14 2002 Rider <rider@altlinux.ru> 4.2.3-alt2
- requires fix

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 4.2.3-alt1
- 4.2.3
- add RH patches

* Fri Nov 09 2001 Dmitry V. Levin <ldv@alt-linux.org> 4.2.1-alt4
- Built without librpm support.

* Fri Aug 24 2001 Rider <rider@altlinux.ru> 4.2.1-alt3
- added security patches from Caldera

* Fri Aug 17 2001 Rider <rider@altlinux.ru> 4.2.1-alt2
- default config file changed
- ifdef path from SuSE
- snmpd new started over snmp user

* Mon Jun 04 2001 Alexander Bokovoy <ab@altlinux.ru> 4.2.1-alt1
- 4.2.1
- Installation fixed for broken libtool usage
- Null patch from RH applied
- BuildRequires cleaned

* Thu May 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.2-ipl2mdk
- Added patch so that only four bytes are returned for IP addresses on ia64 (rh #32244).
- Added patch to correcly handle a NULL value (rh #35016).
- Moved static libraries to devel-static subpackage.
- Fixed libraries, binaries and manpages packaging.

* Mon Feb 05 2001 Dmitry V. Levin <ldv@fandra.org> 4.2-ipl1mdk
- 4.2
- Merged RH patches.
- Libification.
- RE adaptions.

* Wed Nov 22 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.2-5mdk
- Move include in correct dir

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.1.2-4mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.2-3mdk
- Corrected a dependencie

* Fri Jul 28 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.2-2mdk
- Macro, BM

* Mon Jun 12 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 4.1.2-1mdk
- updated to 4.1.2
- removed ucd-snmp-man.patch, has been fixed with 4.1.2

* Tue Jun  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1.1-6mdk
- Remove crappy perl-PDL dependences.

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1.1-5mdk
- libtoolizifications.

* Wed Apr 12 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-4mdk
- Correct ldconfig in postun

* Sat Mar 25 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-3mdk
- many change in config snmpd file

* Thu Mar 23 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-2mdk
- Remove tkmib
- Patch for broken link in man page

* Thu Mar 21 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-1mdk
- Update to 4.1.1
- Modification in spec file
- corrected group

* Mon Jan 24 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed spec file (%install tried to mkdir /var/ucd-snmp)

* Tue Nov 30 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- --with-libwrap, not --with-libwrap="-lwrap -lnsl" (rh on crack)
- bump spec to 3mdk to get above Chmouel

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
- 4.0.1 + redhat patches

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 3.6.2

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr  8 1999 Wes Hardaker <wjhardaker@ucdavis.edu>
- fix Source0 location.
- fix the snmpd.conf file to use real community names.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.6.1, fix configuration file stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- restore host resources mib
- simplified config file
- rebuild for 6.0.

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- remove backup file to fix perl dependencies

* Tue Dec  8 1998 Jeff Johnson <jbj@redhat.com>
- add all relevant rpm scalars to host resources mib.

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- enable libwrap (#253)
- enable host module (rpm queries over SNMP!).

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.

